# Uses of Interface
org.apache.sling.distribution.journal.queue.ClearCallback

Packages that use ClearCallback
Package
Description
org.apache.sling.distribution.journal.queue

## Uses of ClearCallback in org.apache.sling.distribution.journal.queue

Methods in org.apache.sling.distribution.journal.queue that return ClearCallback
Modifier and Type
Method
Description
`ClearCallback`
QueueState.`getClearCallback()`
Constructors in org.apache.sling.distribution.journal.queue with parameters of type ClearCallback
Modifier
Constructor
Description
``
`QueueState(long lastProcessedOffset, int headRetries, int maxRetries, ClearCallback clearCallback)`